View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000788Ecere SDKcompiler:eccpublic2013-04-16 03:222013-09-23 07:36
Reporternicktick 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000788: wrong declaration of Box box{0,0,0,0,100,100} will cause ecc crash
Descriptionopen a new default project in IDE, then put the following function in it, and then test it.
   void GrabScreen()
   {
     Bitmap b{};
     Box box{0,0,0,0,1000,1000};
     this.Grab(b, box, true);
     // this.display.Grab(b,0,0,this.
     b.Save("d:/a.jpg",null,null);
   }
it will cause ecc crash
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000683)
jerome (administrator)
2013-04-16 03:36

Box box { 0, width = 1 };

ProcessBracketInst returning false, and freeing stuff even though some was already taken
(0000684)
jerome (administrator)
2013-04-16 07:05

Fixed by:
https://github.com/ecere/sdk/commit/dd7bc6eb57ac50e5ce91b98b5498055076246bc1 [^]

- Issue History
Date Modified Username Field Change
2013-04-16 03:22 nicktick New Issue
2013-04-16 03:36 jerome Note Added: 0000683
2013-04-16 03:36 jerome Assigned To => jerome
2013-04-16 03:36 jerome Priority normal => immediate
2013-04-16 03:36 jerome Status new => assigned
2013-04-16 07:05 jerome Status assigned => resolved
2013-04-16 07:05 jerome Fixed in Version => 0.44.1 64
2013-04-16 07:05 jerome Resolution open => fixed
2013-04-16 07:05 jerome Note Added: 0000684
2013-05-19 22:15 jerome Status resolved => closed
2013-09-23 07:36 jerome Fixed in Version 0.44.12 Fixes => 0.44.07
2013-09-23 07:36 jerome Target Version => 0.44.07



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker